# devstats 0.1

We're happy to announce the release of devstats 0.1!

## Enhancements

- Add basic package for query.py script from devstats-data ([#1](https://github.com/scientific-python/devstats/pull/1)).
- Embed standard queries in library ([#7](https://github.com/scientific-python/devstats/pull/7)).
- Allow calling via python -m ([#6](https://github.com/scientific-python/devstats/pull/6)).
- Add publish stub ([#8](https://github.com/scientific-python/devstats/pull/8)).
- Use template from devstats.scientific-python.org ([#9](https://github.com/scientific-python/devstats/pull/9)).
- Publish reports by including analysis snippets ([#13](https://github.com/scientific-python/devstats/pull/13)).
- Publish from templates ([#25](https://github.com/scientific-python/devstats/pull/25)).
- Add precommit CI bot config to repo ([#15](https://github.com/scientific-python/devstats/pull/15)).

## Bug Fixes

- Fix executable name ([#3](https://github.com/scientific-python/devstats/pull/3)).
- Fetch data needed for circlci ([#26](https://github.com/scientific-python/devstats/pull/26)).
- Point redirector to correct location ([#27](https://github.com/scientific-python/devstats/pull/27)).

## Maintenance

- Fix cut-and-paste typo ([#5](https://github.com/scientific-python/devstats/pull/5)).
- Support Python 3.8 ([#12](https://github.com/scientific-python/devstats/pull/12)).
- Publish reports by including analysis snippets ([#13](https://github.com/scientific-python/devstats/pull/13)).
- Split publishing into template / publish commands ([#16](https://github.com/scientific-python/devstats/pull/16)).
- Break analysis into snippets ([#17](https://github.com/scientific-python/devstats/pull/17)).
- Test that devstats website builds with package ([#18](https://github.com/scientific-python/devstats/pull/18)).
- Use label-check and attach-next-milestone-action ([#20](https://github.com/scientific-python/devstats/pull/20)).
- Specify what goes in sdist ([#21](https://github.com/scientific-python/devstats/pull/21)).
- Use changelist ([#22](https://github.com/scientific-python/devstats/pull/22)).
- Used dependabot ([#23](https://github.com/scientific-python/devstats/pull/23)).
- Bump pre-commit from 3.3.2 to 3.3.3 ([#24](https://github.com/scientific-python/devstats/pull/24)).
- Add precommit CI bot config to repo ([#15](https://github.com/scientific-python/devstats/pull/15)).
- [pre-commit.ci] pre-commit autoupdate ([#29](https://github.com/scientific-python/devstats/pull/29)).
- Bump scientific-python/attach-next-milestone-action from f94a5235518d4d34911c41e19d780b8e79d42238 to a4889cfde7d2578c1bc7400480d93910d2dd34f6 ([#30](https://github.com/scientific-python/devstats/pull/30)).
- Bump scientific-python/attach-next-milestone-action from a4889cfde7d2578c1bc7400480d93910d2dd34f6 to bc07be829f693829263e57d5e8489f4e57d3d420 ([#31](https://github.com/scientific-python/devstats/pull/31)).
- [pre-commit.ci] pre-commit autoupdate ([#33](https://github.com/scientific-python/devstats/pull/33)).
- Bump actions/checkout from 3 to 4 ([#32](https://github.com/scientific-python/devstats/pull/32)).
- Bump pre-commit from 3.3.3 to 3.4.0 ([#34](https://github.com/scientific-python/devstats/pull/34)).
- Bump changelist from 0.1 to 0.3 ([#35](https://github.com/scientific-python/devstats/pull/35)).
- Update pre-commit versions ([#36](https://github.com/scientific-python/devstats/pull/36)).
- Remove old lint config ([#37](https://github.com/scientific-python/devstats/pull/37)).
- Update label check action ([#38](https://github.com/scientific-python/devstats/pull/38)).
- Add workflow to publish on PyPI ([#39](https://github.com/scientific-python/devstats/pull/39)).

## Documentation

- update README with token instructions ([#4](https://github.com/scientific-python/devstats/pull/4)).
- Fix: small edits to the readme file ([#10](https://github.com/scientific-python/devstats/pull/10)).
- Add pre-commit badge ([#28](https://github.com/scientific-python/devstats/pull/28)).

## Contributors

6 authors added to this release (alphabetically):

- [@dependabot[bot]](https://github.com/apps/dependabot)
- [@pre-commit-ci[bot]](https://github.com/apps/pre-commit-ci)
- Jarrod Millman ([@jarrodmillman](https://github.com/jarrodmillman))
- Leah Wasser ([@lwasser](https://github.com/lwasser))
- Madicken Munk ([@munkm](https://github.com/munkm))
- Stefan van der Walt ([@stefanv](https://github.com/stefanv))

4 reviewers added to this release (alphabetically):

- Brigitta Sipőcz ([@bsipocz](https://github.com/bsipocz))
- Jarrod Millman ([@jarrodmillman](https://github.com/jarrodmillman))
- Madicken Munk ([@munkm](https://github.com/munkm))
- Stefan van der Walt ([@stefanv](https://github.com/stefanv))

_These lists are automatically generated, and may not be complete or may contain duplicates._
